### Name: predict.qrrvglm
### Title: Predict Method for a CQO fit
### Aliases: predict.qrrvglm
### Keywords: models regression

### ** Examples

data(hspider)
hspider[,1:6]=scale(hspider[,1:6]) # Standardize the environmental variables
set.seed(1234)
p1 = cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi, Auloalbi,
               Pardlugu, Pardmont, Pardnigr, Pardpull, Trocterr, Zoraspin) ~
         WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
         fam=poissonff, data=hspider, Crow1positive=FALSE, ITol=TRUE)
sort(p1@misc$deviance.Bestof) # A history of all the iterations

predict(p1)[1:3,]

# The following should be all zeros
max(abs(predict(p1, new=hspider[1:3,]) - predict(p1)[1:3,]))
max(abs(predict(p1, new=hspider[1:3,], type="res") - fitted(p1)[1:3,]))



