### Name: Zinb
### Title: Zero-Inflated Negative Binomial Distribution
### Aliases: Zinb dzinb pzinb qzinb rzinb
### Keywords: distribution

### ** Examples

munb = 3; phi = 0.2; k = 10
x = 0:10
(i = dzinb(x, phi=phi, mu=munb, size=k))
cumsum(i) - pzinb(x, phi=phi, mu=munb, size=k)  # Should be 0s
table(rzinb(100, phi=phi, mu=munb, size=k))

table(qzinb(runif(1000), phi=phi, mu=munb, size=k))
round(dzinb(x, phi=phi, mu=munb, size=k) * 1000) # Should be similar

## Not run: 
##D barplot(rbind(dzinb(x, phi=phi, mu=munb, size=k),
##D               dnbinom(x, mu=munb, size=k)),
##D         beside = TRUE, col = c("blue","green"),
##D         main=paste("ZINB(mu=", munb, ", k=", k, ", phi=", phi,
##D                    ") (blue) vs negative binomial(mu=", munb,
##D                    ", k=", k, ") (green)", sep=""),
##D         names.arg = as.character(x))
## End(Not run)



